Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface Interface Reference

Interface for content fields/fieldDefinitions renderers. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface:

## Public Member Functions
| renderContentFieldView (Field $field, $fieldTypeIdentifier, array $params=[])
| Renders the HTML view markup for a given field. More...
| renderContentFieldEdit (Field $field, $fieldTypeIdentifier, array $params=[])
| Renders the HTML edit markup for a given field. More...
| renderFieldDefinitionView (FieldDefinition $fieldDefinition, array $params=[])
| Renders the HTML view markup for the given field definition. More...
| renderFieldDefinitionEdit (FieldDefinition $fieldDefinition, array $params=[])
| Renders the HTML edot markup for the given field definition. More...

## Detailed Description

Interface for content fields/fieldDefinitions renderers.

Implementors can render view and edit views for fields/fieldDefinitions.

Definition at line 17 of file FieldBlockRendererInterface.php.

## Member Function Documentation

## ◆ renderContentFieldEdit()

eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface::renderContentFieldEdit | ( | Field | $field,
|  |  | $fieldTypeIdentifier,
|  | array | $params = `[]`
| ) |  |

Renders the HTML edit markup for a given field.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Field | $field |
  string | $fieldTypeIdentifier | FieldType identifier for $field
  array | $params | An array of parameters to pass to the field edit view

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\Templating\Twig\FieldBlockRenderer.

## ◆ renderContentFieldView()

eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface::renderContentFieldView | ( | Field | $field,
|  |  | $fieldTypeIdentifier,
|  | array | $params = `[]`
| ) |  |

Renders the HTML view markup for a given field.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Field | $field |
  string | $fieldTypeIdentifier | FieldType identifier for $field
  array | $params | An array of parameters to pass to the field view

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\Templating\Twig\FieldBlockRenderer.

## ◆ renderFieldDefinitionEdit()

eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface::renderFieldDefinitionEdit | ( | FieldDefinition | $fieldDefinition,
|  | array | $params = `[]`
| ) |  |

Renders the HTML edot markup for the given field definition.

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition | $fieldDefinition |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\Templating\Twig\FieldBlockRenderer.

## ◆ renderFieldDefinitionView()

eZ\Publish\Core\MVC\Symfony\Templating\FieldBlockRendererInterface::renderFieldDefinitionView | ( | FieldDefinition | $fieldDefinition,
|  | array | $params = `[]`
| ) |  |

Renders the HTML view markup for the given field definition.

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition | $fieldDefinition |

Returns
  string

Implemented in eZ\Publish\Core\MVC\Symfony\Templating\Twig\FieldBlockRenderer.

The documentation for this interface was generated from the following file:

- FieldBlockRendererInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.